SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER procedure [CDN].[PulsarDodajAtrPoNazwie]
@atrNazwa varchar(200),
@atrObiTyp int,
@atrObiNumer int,
@atrObiLp int,
@atrSubLp int,
@AtrWartosc varchar(200)

as
begin
declare @atrId int

select @atrId=Atk_Id from CDN.AtrybutyKlasy where Atk_Nazwa=@atrNazwa

declare @ilosc int
  if @atrObiTyp=9472 set @atrObiTyp=960
	select @ilosc=count(*) from CDN.Atrybuty where Atr_ObiTyp=@atrObiTyp and Atr_ObiNumer=@atrObiNumer 
												   and Atr_ObiLp=@atrObiLp and Atr_ObiSubLp=@atrSubLp and Atr_AtkId=@atrId
  if @ilosc=1 
  begin
    update CDN.Atrybuty set Atr_wartosc=@atrWartosc where Atr_ObiTyp=@atrObiTyp and Atr_ObiNumer=@atrObiNumer 
														  and Atr_ObiLp=@atrObiLp and Atr_ObiSubLp=@atrSubLp and Atr_AtkId=@atrId
  end
  else
  begin
    declare @gidFirma int
	declare @pozycja int
	select @pozycja = max(Atr_Pozycja)+1 from cdn.Atrybuty where Atr_ObiTyp=@atrObiTyp and Atr_ObiNumer=@atrObiNumer 
																 and Atr_ObiLp=@atrObiLp and Atr_ObiSubLp=@atrSubLp and Atr_AtkId=@atrId
    select top 1 @gidFirma =Frm_gidFirma from CDN.Firma    
    insert into CDN.Atrybuty 
      select @atrObiTyp,@gidFirma,@atrObiNumer,@atrObiLp,@atrSubLp,@atrId,@atrWartosc,0,0,0,0,0,0,0, @pozycja, NEWID(), datediff(second, '1990-01-01', Getdate())
  end

select '%OK%' 
end


GO


 CREATE TABLE [CDN].[PS_GP_NotyUpomnienia](
	[nu_id] [int] IDENTITY(1,1) NOT NULL,
	[nu_uponag] [int] NOT NULL,
	[nu_numer] [nchar](255) NOT NULL,
	[nu_szablon] [nchar](255) NOT NULL,
	[nu_data_zrd] [date] NOT NULL,
	[nu_data_nad] [date] NOT NULL,
	[nu_data_wys] [date] NULL,
	[nu_status] [int] NOT NULL,
	[nu_typ] [nchar](255) NOT NULL,
 CONSTRAINT [PK_PS_GP_NotyUpomnienia] PRIMARY KEY CLUSTERED 
(
	[nu_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE view [CDN].[pobierzNotyUpomnienia] as
SELECT 
                                    upn_GIDTyp
                                  , upn_GIDNumer
                                  , upn_KntNumer
                                  , Knt_akronim
                                  , replace(convert(varchar, DATEADD(day, upn_dataup, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data2
                                  , replace(convert(varchar, DATEADD(day, upn_dataup, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data3
								  , Knt_GIDNumer                          
								  , cdn.NumerDokumentu(upn_gidtyp, 0, 0, UPN_Numer, upn_rok, UPN_Seria, 0) as dok
                                  , knt_nazwa1
								  , upn_dataup as trn_data2

                              FROM [CDN].[UpoNag]
                              JOIN CDN.KntKarty on Knt_GIDNumer = upn_KntNumer

                              WHERE upn_GIDTyp in (2832, 2833)
                                and upn_gidnumer NOT IN (select nu_uponag from CDN.PS_GP_NotyUpomnienia where nu_status in(0,1,2,3,4,5))
 



GO

ALTER PROCEDURE [CDN].[PulsarUstawDateOdbioruFaktury]
	@dataOdbioru int,
	@trnGidNUmer int
AS
BEGIN
	SET NOCOUNT ON;

	UPDATE CDN.TraNag 
	SET TrN_DataOdb = @dataOdbioru 
		--,TrN_Rozliczac = 1 
		,TrN_KatDatyOP = 6
	WHERE TrN_GIDNumer = @trnGidNUmer and TrN_GIDTyp=2041

	UPDATE CDN.TraVat 
	SET --TrV_Rozliczac = 1
		TrV_DeklRok = YEAR(DATEADD(day, @dataOdbioru, CONVERT(date, '1800-12-28', 120)))
		,TrV_DeklMiesiac = MONTH(DATEADD(day, @dataOdbioru, CONVERT(date, '1800-12-28', 120)))
		,TrV_KatDatyOP = 6
		,TrV_DataOP = @dataOdbioru
	WHERE TrV_GIDNumer = @trnGidNUmer and TrV_GIDTyp=2041
	end
