﻿

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [CDN].[PS_GP_Do_wyslania](
	[dw_id] [int] IDENTITY(1,1) NOT NULL,
	[dw_tranag] [int] NOT NULL,
	[dw_numer] [nchar](255) NOT NULL,
	[dw_szablon] [nchar](255) NOT NULL,
	[dw_data_zrd] [date] NOT NULL,
	[dw_data_nad] [date] NOT NULL,
	[dw_data_wys] [date] NULL,
	[dw_duplikat] [nchar](255) NULL,
	[dw_status] [int] NOT NULL,
	[dw_typ] [nchar](255) NOT NULL,
 CONSTRAINT [PK_PS_GP_Do_wyslania] PRIMARY KEY CLUSTERED 
(
	[dw_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [CDN].[PS_GP_Konfig_szablonow](
	[sz_id] [int] IDENTITY(1,1) NOT NULL,
	[sz_nazwa_atrybutu] [nvarchar](100) NOT NULL,
	[sz_nazwa_szablonu] [nvarchar](100) NOT NULL,
	[sz_wartosc_szablonu] [nvarchar](100) NOT NULL,
	[sz_gidtyp_dok] [nchar](10) NOT NULL,
	[sz_duplikat] [nchar](1) NOT NULL,
	[sz_koncowa] [nchar](1) NOT NULL,
	[sz_typ_dok] [nchar](1) NOT NULL,
	[sz_korekta] [nchar](1) NOT NULL CONSTRAINT [DF_PS_GP_Konfig_szablonow_sz_korekta]  DEFAULT ((0)),
 CONSTRAINT [PK_PS_GP_Konfig_szablonow] PRIMARY KEY CLUSTERED 
(
	[sz_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [unikalnaKonfiguracjaSzablonow] UNIQUE NONCLUSTERED 
(
	[sz_gidtyp_dok] ASC,
	[sz_duplikat] ASC,
	[sz_koncowa] ASC,
	[sz_typ_dok] ASC,
	[sz_korekta] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [CDN].[PS_GP_Konfig_wydrukow](
	[w_id] [int] IDENTITY(1,1) NOT NULL,
	[w_nazwa_atrybutu] [nvarchar](100) NOT NULL,
	[w_nazwa_wydruku] [nvarchar](100) NOT NULL,
	[w_wartosc_wydruku] [nvarchar](100) NOT NULL,
	[w_gidtyp_dok] [nchar](10) NOT NULL,
	[w_duplikat] [nchar](1) NOT NULL,
	[w_koncowa] [nchar](1) NOT NULL,
	[w_typ_dok] [nchar](1) NOT NULL,
	[w_korekta] [nchar](1) NULL CONSTRAINT [DF_PS_GP_Konfig_wydrukow_w_korekta]  DEFAULT ((0)),
 CONSTRAINT [PK_PS_GP_Konfig_wydrukow] PRIMARY KEY CLUSTERED 
(
	[w_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [unikalnaKonfiguracjaWydrukow] UNIQUE NONCLUSTERED 
(
	[w_gidtyp_dok] ASC,
	[w_duplikat] ASC,
	[w_koncowa] ASC,
	[w_typ_dok] ASC,
	[w_korekta] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [CDN].[PS_GP_Statusy](
	[sts_id] [int] IDENTITY(1,1) NOT NULL,
	[sts_dw_id] [int] NOT NULL,
	[sts_status] [nchar](100) NOT NULL,
	[sts_data] [date] NOT NULL,
 CONSTRAINT [PK_PS_GP_Statusy] PRIMARY KEY CLUSTERED 
(
	[sts_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [CDN].[PS_GP_Ustawienia](
	[ust_id] [int] IDENTITY(1,1) NOT NULL,
	[ust_kod] [nchar](100) NOT NULL,
	[ust_wartosc] [nchar](255) NOT NULL,
 CONSTRAINT [PK_PS_GP_Ustawienia] PRIMARY KEY CLUSTERED 
(
	[ust_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE view [CDN].[pobierzDokumentyDoNadania] as
SELECT 
                                    TrN_GIDTyp
                                  , TrN_GIDNumer
                                  , TrN_KntNumer
                                  , Knt_akronim
                                  , knt_gidnumer
                                  , replace(convert(varchar, DATEADD(day, trn_Data2, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data2
                                  , replace(convert(varchar, DATEADD(day, trn_Data3, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data3
                                  , TrN_DokumentObcy
                                  , TrN_NrKorekty
                                  , knt_nazwa1
								  , trn_data2

                              FROM [CDN].[TraNag]
                              JOIN CDN.KntKarty on Knt_GIDNumer = TrN_KntNumer

                              WHERE TrN_GIDTyp in (2033, 2041, 1824, 1832, 2045, 2037, 1828, 1836, 2035, 2043)
                                and trn_gidnumer NOT IN (select dw_tranag from CDN.PS_GP_Do_wyslania where dw_status in(0,1,2,3,4,5))
                                and TrN_Stan in (3,4,5)


GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE view [CDN].[pobierzDokumentyDoNadaniaElektroniczne] as
SELECT 
                                    [TrN_GIDTyp]
                                  , [TrN_GIDNumer]
                                  , [TrN_KntNumer]
                                  , Knt_akronim
                                  , knt_gidnumer
                                  , replace(convert(varchar, DATEADD(day, trn_Data2, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data2
                                  , replace(convert(varchar, DATEADD(day, trn_Data3, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data3
                                  , [TrN_DokumentObcy]
                                  , [TrN_NrKorekty]
                                  , knt_nazwa1
								  , trn_data2

                              FROM [CDN].[TraNag]
                              JOIN CDN.KntKarty on Knt_GIDNumer = TrN_KntNumer

                                    left JOIN CDN.AtrybutyKlasy ak1 on ak1.atk_nazwa = 'GP_ZgodaOD' 
									left join cdn.atrybuty a1 on a1.Atr_AtkId = ak1.AtK_ID and a1.Atr_ObiNumer = TrN_KntNumer and a1.Atr_ObiTyp = 32

									left JOIN CDN.AtrybutyKlasy ak2 on ak2.atk_nazwa = 'GP_ZgodaDO' 
									left join cdn.atrybuty a2 on a2.Atr_AtkId = ak2.AtK_ID and a2.Atr_ObiNumer = TrN_KntNumer and a2.Atr_ObiTyp = 32
                              WHERE TrN_GIDTyp in (2033, 2041, 1824, 1832, 2045, 2037, 1828, 1836, 2035, 2043) 
                                and trn_gidnumer NOT IN (select dw_tranag from CDN.PS_GP_Do_wyslania where dw_status in(0,1,2,3,4,5))
                                and TrN_Stan in (3,4,5)
                                and DATEADD(day, convert(int, a1.Atr_Wartosc), convert(date, '1800-12-28',120)) <= GETDATE()
								and isnull(DATEADD(day, convert(int, a2.Atr_Wartosc), convert(date, '1800-12-28',120)), GETDATE()+1) >= GETDATE()

GO


SET IDENTITY_INSERT [CDN].[PS_GP_Ustawienia] ON 

INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (10, N'login                                                                                               ', N'podaj login                                                                                                                                                                                                                                  ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (11, N'haslo                                                                                               ', N'haslo                                                                                                                                                                                                                                                       ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (12, N'test                                                                                                ', N'https://test.greenmail24.pl/webservice/GM24IntegrationService.svc                                                                                                                                                                                              ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (14, N'produkcja                                                                                           ', N'https://greenmail24.pl/webservice/GM24IntegrationService.svc                                                                                                                                                                                                   ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (15, N'typ_serwera                                                                                         ', N'0                                                                                                                                                                                                                                                              ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (16, N'typ_podpisu                                                                                         ', N'0                                                                                                                                                                                                                                                              ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (17, N'typ_archiwizacji                                                                                    ', N'0                                                                                                                                                                                                                                                              ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (18, N'firma_nazwa                                                                                         ', N'                                                                                                                                                                                                                                                  ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (19, N'firma_ulica                                                                                         ', N'                                                                                                                                                                                                                                                      ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (20, N'firma_kodp                                                                                          ', N'                                                                                                                                                                                                                                                         ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (21, N'firma_miasto                                                                                        ', N'                                                                                                                                                                                                                                                       ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (22, N'firma_nip                                                                                           ', N'                                                                                                                                                                                                                                                     ')
INSERT [CDN].[PS_GP_Ustawienia] ([ust_id], [ust_kod], [ust_wartosc]) VALUES (23, N'typ_wyrozniania                                                                                     ', N'2                                                                                                                                                                                                                                                              ')
SET IDENTITY_INSERT [CDN].[PS_GP_Ustawienia] OFF
SET ANSI_PADDING ON

GO

ALTER TABLE [CDN].[PS_GP_Konfig_szablonow] ADD  CONSTRAINT [unikalnaKonfiguracjaSzablonow] UNIQUE NONCLUSTERED 
(
	[sz_gidtyp_dok] ASC,
	[sz_duplikat] ASC,
	[sz_koncowa] ASC,
	[sz_typ_dok] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
SET ANSI_PADDING ON

GO

ALTER TABLE [CDN].[PS_GP_Konfig_wydrukow] ADD  CONSTRAINT [unikalnaKonfiguracjaWydrukow] UNIQUE NONCLUSTERED 
(
	[w_gidtyp_dok] ASC,
	[w_duplikat] ASC,
	[w_koncowa] ASC,
	[w_typ_dok] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


CREATE procedure [CDN].[PulsarDodajAtrPoNazwie]
@atrNazwa varchar(200),
@atrObiTyp int,
@atrObiNumer int,
@atrObiLp int,
@atrSubLp int,
@AtrWartosc varchar(200)

as
begin
declare @atrId int

select @atrId=Atk_Id from CDN.AtrybutyKlasy where Atk_Nazwa=@atrNazwa

declare @ilosc int
  if @atrObiTyp=9472 set @atrObiTyp=960
	select @ilosc=count(*) from CDN.Atrybuty where Atr_ObiTyp=@atrObiTyp and Atr_ObiNumer=@atrObiNumer 
												   and Atr_ObiLp=@atrObiLp and Atr_ObiSubLp=@atrSubLp and Atr_AtkId=@atrId
  if @ilosc=1 
  begin
    update CDN.Atrybuty set Atr_wartosc=@atrWartosc where Atr_ObiTyp=@atrObiTyp and Atr_ObiNumer=@atrObiNumer 
														  and Atr_ObiLp=@atrObiLp and Atr_ObiSubLp=@atrSubLp and Atr_AtkId=@atrId
  end
  else
  begin
    declare @gidFirma int
	declare @pozycja int
	select @pozycja = max(Atr_Pozycja)+1 from cdn.Atrybuty where Atr_ObiTyp=@atrObiTyp and Atr_ObiNumer=@atrObiNumer 
																 and Atr_ObiLp=@atrObiLp and Atr_ObiSubLp=@atrSubLp and Atr_AtkId=@atrId
    select top 1 @gidFirma =Frm_gidFirma from CDN.Firma    
    insert into CDN.Atrybuty 
      select @atrObiTyp,@gidFirma,@atrObiNumer,@atrObiLp,@atrSubLp,@atrId,@atrWartosc,0,0,0,0,0,0,0, @pozycja, NEWID(), datediff(second, '1990-01-01', Getdate())
  end

select '%OK%' 
end


GO



create procedure [CDN].[PulsarPoDoreczeniu]
@atrNazwa varchar(200),
@atrObiTyp int,
@atrObiNumer int,
@atrObiLp int,
@atrSubLp int,
@AtrWartosc varchar(200),
@AtrData varchar(30)

as
begin

  exec CDN.PulsarDodajAtrPoNazwie 'GP_Status_faktury', @atrObiTyp, @atrObiNumer, 0, 0, @AtrWartosc

  --if @AtrWartosc like 'Doręczony%' 
  --begin
  --  exec CDN.PulsarDodajAtrPoNazwie 'Data dostarczenia faktury', @atrObiTyp, @atrObiNumer, 0, 0, @AtrData
  --end

select '%OK%' 
end

GO



create procedure [CDN].[PulsarZnajdzMail]
@dokId int,
@kntId int,
@typdok int

as
begin

	declare @mail varchar(255)
	declare @atrId int

	select @atrId = Atk_Id from CDN.AtrybutyKlasy where Atk_Nazwa='GP_Mail'

	select @mail = atr_wartosc from CDN.Atrybuty where Atr_ObiNumer = @kntId and Atr_AtkId = @atrId and Atr_ObiTyp = 32

	select @mail 

end


go

CREATE TABLE [CDN].[PS_GP_Logi](
    [log_id] [int] PRIMARY KEY IDENTITY(1,1) NOT NULL,
    [log_user] [nvarchar](128) NULL,
    [log_data] [datetime] NULL,
    [log_tresc] [text] NULL
)

go 

CREATE view [CDN].[pobierzDokumentyDoNadaniaElektroniczneAUTOMAT] as
SELECT 
                                    [TrN_GIDTyp]
                                  , [TrN_GIDNumer]
                                  , [TrN_KntNumer]
                                  , Knt_akronim
                                  , knt_gidnumer
                                  , replace(convert(varchar, DATEADD(day, trn_Data2, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data2
                                  , replace(convert(varchar, DATEADD(day, trn_Data3, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data3
                                  , [TrN_DokumentObcy]
                                  , [TrN_NrKorekty]
                                  , knt_nazwa1
								  , trn_data2

                              FROM [CDN].[TraNag]
                              JOIN CDN.KntKarty on Knt_GIDNumer = TrN_KntNumer

                                    left JOIN CDN.AtrybutyKlasy ak1 on ak1.atk_nazwa = 'GP_ZgodaOD' 
									left join cdn.atrybuty a1 on a1.Atr_AtkId = ak1.AtK_ID and a1.Atr_ObiNumer = TrN_KntNumer and a1.Atr_ObiTyp = 32

									left JOIN CDN.AtrybutyKlasy ak2 on ak2.atk_nazwa = 'GP_ZgodaDO' 
									left join cdn.atrybuty a2 on a2.Atr_AtkId = ak2.AtK_ID and a2.Atr_ObiNumer = TrN_KntNumer and a2.Atr_ObiTyp = 32
                              WHERE TrN_GIDTyp in (2033, 2041, 1824, 1832, 2045, 2037, 1828, 1836, 2035, 2043) 
                                and trn_gidnumer NOT IN (select dw_tranag from CDN.PS_GP_Do_wyslania where dw_status in(0,1,2,3,4,5))
                                and TrN_Stan in (3,4,5)
                                and DATEADD(day, convert(int, a1.Atr_Wartosc), convert(date, '1800-12-28',120)) <= GETDATE()
								and isnull(DATEADD(day, convert(int, a2.Atr_Wartosc), convert(date, '1800-12-28',120)), GETDATE()+1) >= GETDATE()

GO

CREATE view [CDN].[pobierzDokumentyDoNadaniaAUTOMAT] as
SELECT 
                                    TrN_GIDTyp
                                  , TrN_GIDNumer
                                  , TrN_KntNumer
                                  , Knt_akronim
                                  , knt_gidnumer
                                  , replace(convert(varchar, DATEADD(day, trn_Data2, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data2
                                  , replace(convert(varchar, DATEADD(day, trn_Data3, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data3
                                  , TrN_DokumentObcy
                                  , TrN_NrKorekty
                                  , knt_nazwa1
								  , trn_data2

                              FROM [CDN].[TraNag]
                              JOIN CDN.KntKarty on Knt_GIDNumer = TrN_KntNumer

                              WHERE TrN_GIDTyp in (2033, 2041, 1824, 1832, 2045, 2037, 1828, 1836, 2035, 2043)
                                and trn_gidnumer NOT IN (select dw_tranag from CDN.PS_GP_Do_wyslania where dw_status in(0,1,2,3,4,5))
                                and TrN_Stan in (3,4,5)


GO

CREATE TABLE [CDN].[PS_GP_Raporty](
    [aut_id] [int] IDENTITY(1,1) PRIMARY KEY NOT NULL,
    [aut_trngid] [int] NULL,
    [aut_dwid] [int] NULL,
    [aut_faktura] [nvarchar](128) NULL,
    [aut_szablon] [nvarchar](128) NULL,
    [aut_message] [text] NULL,
    [aut_typ] [int] NULL,
    [aut_data] [datetime] NULL
)


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		Pulsar System sp. z o.o.
-- Create date: 15-05-2019
-- Description:	Aktualizacja daty odbioru faktury dla GreenMail24
-- =============================================
CREATE PROCEDURE CDN.PulsarUstawDateOdbioruFaktury
	@dataOdbioru int,
	@trnGidNUmer int
AS
BEGIN
	SET NOCOUNT ON;

UPDATE CDN.TraNag 
	SET TrN_DataOdb = @dataOdbioru 
		--,TrN_Rozliczac = 1 
		,TrN_KatDatyOP = 6
	WHERE TrN_GIDNumer = @trnGidNUmer and TrN_GIDTyp=2041

	UPDATE CDN.TraVat 
	SET --TrV_Rozliczac = 1
		TrV_DeklRok = YEAR(DATEADD(day, @dataOdbioru, CONVERT(date, '1800-12-28', 120)))
		,TrV_DeklMiesiac = MONTH(DATEADD(day, @dataOdbioru, CONVERT(date, '1800-12-28', 120)))
		,TrV_KatDatyOP = 6
		,TrV_DataOP = @dataOdbioru
	WHERE TrV_GIDNumer = @trnGidNUmer and TrV_GIDTyp=2041

END
GO
 

 CREATE TABLE [CDN].[PS_GP_NotyUpomnienia](
	[nu_id] [int] IDENTITY(1,1) NOT NULL,
	[nu_uponag] [int] NOT NULL,
	[nu_numer] [nchar](255) NOT NULL,
	[nu_szablon] [nchar](255) NOT NULL,
	[nu_data_zrd] [date] NOT NULL,
	[nu_data_nad] [date] NOT NULL,
	[nu_data_wys] [date] NULL,
	[nu_status] [int] NOT NULL,
	[nu_typ] [nchar](255) NOT NULL,
 CONSTRAINT [PK_PS_GP_NotyUpomnienia] PRIMARY KEY CLUSTERED 
(
	[nu_id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE view [CDN].[pobierzNotyUpomnienia] as
SELECT 
                                    upn_GIDTyp
                                  , upn_GIDNumer
                                  , upn_KntNumer
                                  , Knt_akronim
                                  , replace(convert(varchar, DATEADD(day, upn_dataup, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data2
                                  , replace(convert(varchar, DATEADD(day, upn_dataup, convert(date, '1800-12-28', 120)), 111), '/', '-') as Data3
								  , Knt_GIDNumer                          
								  , cdn.NumerDokumentu(upn_gidtyp, 0, 0, UPN_Numer, upn_rok, UPN_Seria, 0) as dok
                                  , knt_nazwa1
								  , upn_dataup as trn_data2

                              FROM [CDN].[UpoNag]
                              JOIN CDN.KntKarty on Knt_GIDNumer = upn_KntNumer

                              WHERE upn_GIDTyp in (2832, 2833)
                                and upn_gidnumer NOT IN (select nu_uponag from CDN.PS_GP_NotyUpomnienia where nu_status in(0,1,2,3,4,5))
 



GO


create FUNCTION [CDN].[PS_Pobierz_nr_zamowienia](@numerFS int, @typFS int)
RETURNS varchar(255)
AS
BEGIN
DECLARE @Wynik as varchar(255)
set @Wynik=(
select top 1 isnull(ZaN_DokumentObcy,'brak') from cdn.zamnag
join cdn.TraSElem on TrS_RezNumer=zan_gidnumer and TrS_RezTyp=zan_gidtyp
where TrS_GIDNumer=@numerFS and TrS_GIDTyp=@typFS)
RETURN case when @wynik='' then 'brak' else isnull(@Wynik,'brak') end
END



create procedure [CDN].[PulsarZnajdzMailDW1]
@dokId int,
@kntId int,
@typdok int

as
begin

	declare @mail varchar(255)
	declare @atrId int

	select @atrId = Atk_Id from CDN.AtrybutyKlasy where Atk_Nazwa='GP_DW1'

	select @mail = atr_wartosc from CDN.Atrybuty where Atr_ObiNumer = @kntId and Atr_AtkId = @atrId

		select @mail
end


create procedure [CDN].[PulsarZnajdzMailDW2]
@dokId int,
@kntId int,
@typdok int

as
begin

	declare @mail varchar(255)
	declare @atrId int

	select @atrId = Atk_Id from CDN.AtrybutyKlasy where Atk_Nazwa='GP_DW2'

	select @mail = atr_wartosc from CDN.Atrybuty where Atr_ObiNumer = @kntId and Atr_AtkId = @atrId

	
	select @mail
end
  